<?xml version="1.0" encoding="utf-8"?>
<android.support.v4.widget.NestedScrollView xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/parent"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical"
    android:background="?attr/DetailBackground">


    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical">

        <com.github.florent37.materialtextfield.MaterialTextField
            android:layout_width="300dp"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            app:mtf_backgroundColor="@color/detail_des"
            app:mtf_labelColor="?attr/DetailTextColor">

            <EditText
                android:id="@+id/name"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:hint="@string/Name"
                android:textColor="?attr/MainActivityBackground"
                android:maxLines="1"
                android:maxLength="30"
                android:gravity="center"
                android:inputType="textPersonName"/>

        </com.github.florent37.materialtextfield.MaterialTextField>

        <RelativeLayout
            android:layout_width="300dp"
            android:layout_height="wrap_content"
            android:layout_gravity="center">

            <com.github.florent37.materialtextfield.MaterialTextField
                android:id="@+id/stockparent"
                android:layout_width="200dp"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:layout_marginTop="10dp"
                app:mtf_backgroundColor="@color/detail_des"
                app:mtf_labelColor="?attr/DetailTextColor">

                <EditText
                    android:id="@+id/stock"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:hint="@string/Stock"
                    android:maxLines="1"
                    android:gravity="center"
                    android:maxLength="100"
                    android:inputType="numberDecimal"
                    android:textColor="?attr/MainActivityBackground" />

            </com.github.florent37.materialtextfield.MaterialTextField>


            <include layout="@layout/cutomspinnerlayoutdetail_stock"
                android:layout_alignParentTop="true"
                android:layout_width="wrap_content"
                android:layout_toRightOf="@+id/stockparent"
                android:layout_height="wrap_content"
                />


            <com.github.florent37.materialtextfield.MaterialTextField
                android:layout_width="300dp"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:layout_marginTop="10dp"
                app:mtf_backgroundColor="@color/detail_des"
                app:mtf_labelColor="?attr/DetailTextColor"
                android:layout_below="@+id/stockparent">

                <EditText
                    android:id="@+id/Creator"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:hint="@string/Creator"
                    android:maxLines="1"
                    android:maxLength="50"
                    android:gravity="center"
                    android:inputType="textPersonName"
                    android:textColor="?attr/MainActivityBackground" />

            </com.github.florent37.materialtextfield.MaterialTextField>

        </RelativeLayout>


        <com.github.florent37.materialtextfield.MaterialTextField
            android:layout_width="300dp"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:layout_marginTop="10dp"
            app:mtf_backgroundColor="@color/detail_des"
            app:mtf_labelColor="?attr/DetailTextColor">

        <EditText
            android:id="@+id/model"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:hint="@string/Model"
            android:maxLines="1"
            android:maxLength="50"
            android:gravity="center"
            android:inputType="textPersonName"
            android:textColor="?attr/MainActivityBackground" />

        </com.github.florent37.materialtextfield.MaterialTextField>


        <RelativeLayout
            android:layout_width="300dp"
            android:layout_height="wrap_content"
            android:layout_gravity="center">

            <com.github.florent37.materialtextfield.MaterialTextField
                android:layout_width="200dp"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:layout_marginTop="10dp"
                app:mtf_backgroundColor="@color/detail_des"
                app:mtf_labelColor="?attr/DetailTextColor"
                android:id="@+id/p_price_parent">

                <EditText
                    android:id="@+id/p_price"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:hint="@string/Purchase_Price"
                    android:maxLines="1"
                    android:gravity="center"
                    android:maxLength="50"
                    android:inputType="numberDecimal"
                    android:textColor="?attr/MainActivityBackground" />

            </com.github.florent37.materialtextfield.MaterialTextField>


            <include layout="@layout/cutomspinnerlayoutdetail_purcahse"
                android:layout_alignParentTop="true"
                android:layout_width="wrap_content"
                android:layout_toRightOf="@+id/p_price_parent"
                android:layout_height="wrap_content"
                />


        </RelativeLayout>


        <RelativeLayout
            android:layout_width="300dp"
            android:layout_height="wrap_content"
            android:layout_gravity="center">

            <com.github.florent37.materialtextfield.MaterialTextField
                android:layout_width="200dp"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:layout_marginTop="10dp"
                app:mtf_backgroundColor="@color/detail_des"
                app:mtf_labelColor="?attr/DetailTextColor"
                android:id="@+id/saleparent">

                <EditText
                    android:id="@+id/s_price"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:hint="@string/Sale_Price"
                    android:maxLines="1"
                    android:gravity="center"
                    android:maxLength="50"
                    android:inputType="numberDecimal"
                    android:textColor="?attr/MainActivityBackground" />

            </com.github.florent37.materialtextfield.MaterialTextField>

            <include layout="@layout/cutomspinnerlayoutdetail_sale"
                android:layout_alignParentTop="true"
                android:layout_width="wrap_content"
                android:layout_toRightOf="@+id/saleparent"
                android:layout_height="wrap_content"
                />


        </RelativeLayout>

        <Space
            android:layout_width="match_parent"
            android:layout_height="50dp" />
    </LinearLayout>

</android.support.v4.widget.NestedScrollView>